import { expect } from 'chai'
import { addStimuli } from '../stimuli'
import { ADD_STIMULI } from '@instructure/quiz-common/lib/constants'

describe('stimuli actions creators', () => {
  it('returns a addStimuli action', () => {
    const stimuli = [
      {id: 1, title: 'quiz stimulus 1'},
      {id: 2, title: 'quiz stimulus 2'}
    ]
    const addStimulusAction = addStimuli(stimuli)
    const expectedAction = {type: ADD_STIMULI, payload: stimuli}

    expect(addStimulusAction).to.deep.equal(expectedAction)
  })
})
